
;; This problem file was automatically created by a PANDA-XML-to-PDDL converter.

;; Version 1.0 by Pascal Bercher
;; pascal.bercher@uni-ulm.de, http://www.uni-ulm.de/en/in/ki/bercher

;; The problem instance defines the available devices and cables
;; (cf. PDFs for a visualization). Note that the actual problem 
;; instance is not only reflected in the problem file, but in part
;; also in the domain, because conditional effects have been compiled 
;; away (manually) that use the problem instance. Confer to the domain 
;; documentation for further details.

(define (problem AssemblyTask_problem)

  (:domain AssemblyTask_domain)

  (:objects
    a_HDMI_DVI_1 - Adapter
    a_HDMI_DVI_2 - Adapter
    c_Headphone_CinchStereo_1 - Cable_Headphone_CinchStereo
    c_CinchStereo_1 - Cable_CinchStereo
    c_CinchStereo_2 - Cable_CinchStereo
    c_HDMI_1 - Cable_HDMI
    c_HDMI_2 - Cable_HDMI
    c_DVI_1 - Cable_DVI
    c_CinchVideo_1 - Cable_CinchVideo
    c_CinchVideo_2 - Cable_CinchVideo
    c_SPDIFoptical_1 - Cable_SPDIFoptical
    c_HDMI_DVI_1 - Cable_HDMI_DVI
    e_BlurayPlayer - BlurayPlayer
    e_Amplifier - Amplifier
    e_TV - TV
    e_SatReceiver - Receiver
    p_HDMI_1 - Port_HDMI
    p_HDMI_2 - Port_HDMI
    p_HDMI_3 - Port_HDMI
    p_Headphone_1 - Port_Headphone
    p_SPDIFoptical_1 - Port_SPDIFoptical
    p_SPDIFoptical_2 - Port_SPDIFoptical
    p_CinchVideo_1 - Port_CinchVideo
    p_CinchVideo_2 - Port_CinchVideo
    p_CinchVideo_3 - Port_CinchVideo
    p_CinchStereo_1 - Port_CinchStereo
    p_CinchStereo_2 - Port_CinchStereo
    p_CinchStereo_3 - Port_CinchStereo
    p_DVI_1 - Port_DVI
    p_DVI_2 - Port_DVI
    p_Scart_1 - Port_Scart
    p_VGA_1 - Port_VGA
    p_SPDIFcoaxial_1 - Port_SPDIFcoaxial
    c_Scart_CinchVideo_CinchStereo_1 - Cable_Scart_CinchVideo_CinchStereo
  )

  (:init
    (PortsAreCompatible p_Scart_1 p_Scart_1)
    (PortsAreCompatible p_DVI_2 p_DVI_1)
    (PortsAreCompatible p_DVI_1 p_DVI_2)
    (PortsAreCompatible p_DVI_2 p_DVI_2)
    (PortsAreCompatible p_DVI_1 p_DVI_1)
    (PortsAreCompatible p_CinchStereo_3 p_CinchStereo_2)
    (PortsAreCompatible p_CinchStereo_2 p_CinchStereo_3)
    (PortsAreCompatible p_CinchStereo_3 p_CinchStereo_1)
    (PortsAreCompatible p_CinchStereo_1 p_CinchStereo_3)
    (PortsAreCompatible p_CinchStereo_2 p_CinchStereo_1)
    (PortsAreCompatible p_CinchStereo_1 p_CinchStereo_2)
    (PortsAreCompatible p_CinchStereo_3 p_CinchStereo_3)
    (PortsAreCompatible p_CinchStereo_2 p_CinchStereo_2)
    (PortsAreCompatible p_CinchStereo_1 p_CinchStereo_1)
    (PortsAreCompatible p_CinchVideo_3 p_SPDIFcoaxial_1)
    (PortsAreCompatible p_CinchVideo_2 p_SPDIFcoaxial_1)
    (PortsAreCompatible p_CinchVideo_1 p_SPDIFcoaxial_1)
    (PortsAreCompatible p_SPDIFcoaxial_1 p_CinchVideo_3)
    (PortsAreCompatible p_SPDIFcoaxial_1 p_CinchVideo_2)
    (PortsAreCompatible p_SPDIFcoaxial_1 p_CinchVideo_1)
    (PortsAreCompatible p_CinchVideo_3 p_CinchVideo_2)
    (PortsAreCompatible p_CinchVideo_2 p_CinchVideo_3)
    (PortsAreCompatible p_CinchVideo_3 p_CinchVideo_1)
    (PortsAreCompatible p_CinchVideo_1 p_CinchVideo_3)
    (PortsAreCompatible p_CinchVideo_2 p_CinchVideo_1)
    (PortsAreCompatible p_CinchVideo_1 p_CinchVideo_2)
    (PortsAreCompatible p_CinchVideo_3 p_CinchVideo_3)
    (PortsAreCompatible p_CinchVideo_2 p_CinchVideo_2)
    (PortsAreCompatible p_CinchVideo_1 p_CinchVideo_1)
    (PortsAreCompatible p_SPDIFcoaxial_1 p_SPDIFcoaxial_1)
    (PortsAreCompatible p_SPDIFoptical_2 p_SPDIFoptical_1)
    (PortsAreCompatible p_SPDIFoptical_1 p_SPDIFoptical_2)
    (PortsAreCompatible p_SPDIFoptical_2 p_SPDIFoptical_2)
    (PortsAreCompatible p_SPDIFoptical_1 p_SPDIFoptical_1)
    (PortsAreCompatible p_Headphone_1 p_Headphone_1)
    (PortsAreCompatible p_HDMI_3 p_HDMI_2)
    (PortsAreCompatible p_HDMI_2 p_HDMI_3)
    (PortsAreCompatible p_HDMI_3 p_HDMI_1)
    (PortsAreCompatible p_HDMI_1 p_HDMI_3)
    (PortsAreCompatible p_HDMI_2 p_HDMI_1)
    (PortsAreCompatible p_HDMI_1 p_HDMI_2)
    (PortsAreCompatible p_HDMI_3 p_HDMI_3)
    (PortsAreCompatible p_HDMI_2 p_HDMI_2)
    (PortsAreCompatible p_HDMI_1 p_HDMI_1)
    (PortIsAudio e_TV p_Headphone_1)
    (PortIsAudio e_TV p_SPDIFoptical_1)
    (PortIsAudio e_TV p_CinchStereo_1)
    (PortIsVideo e_TV p_CinchVideo_1)
    (PortIsVideo e_TV p_VGA_1)
    (PortIsVideo e_TV p_HDMI_1)
    (PortIsAudio e_TV p_HDMI_1)
    (PortIsSignalOut e_TV p_Headphone_1)
    (PortIsSignalOut e_TV p_SPDIFoptical_1)
    (PortIsSignalIn e_TV p_CinchStereo_1)
    (PortIsSignalIn e_TV p_CinchVideo_1)
    (PortIsSignalIn e_TV p_VGA_1)
    (PortIsSignalIn e_TV p_HDMI_1)
    (PortIsFemale e_TV p_Headphone_1)
    (PortIsFemale e_TV p_SPDIFoptical_1)
    (PortIsFemale e_TV p_CinchStereo_1)
    (PortIsFemale e_TV p_CinchVideo_1)
    (PortIsFemale e_TV p_VGA_1)
    (PortIsFemale e_TV p_HDMI_1)
    (PortIsAudio e_BlurayPlayer p_CinchStereo_1)
    (PortIsAudio e_BlurayPlayer p_SPDIFcoaxial_1)
    (PortIsVideo e_BlurayPlayer p_CinchVideo_1)
    (PortIsVideo e_BlurayPlayer p_HDMI_1)
    (PortIsAudio e_BlurayPlayer p_HDMI_1)
    (PortIsSignalOut e_BlurayPlayer p_CinchStereo_1)
    (PortIsSignalOut e_BlurayPlayer p_SPDIFcoaxial_1)
    (PortIsSignalOut e_BlurayPlayer p_CinchVideo_1)
    (PortIsSignalOut e_BlurayPlayer p_HDMI_1)
    (PortIsFemale e_BlurayPlayer p_CinchStereo_1)
    (PortIsFemale e_BlurayPlayer p_SPDIFcoaxial_1)
    (PortIsFemale e_BlurayPlayer p_CinchVideo_1)
    (PortIsFemale e_BlurayPlayer p_HDMI_1)
    (PortIsVideo e_SatReceiver p_CinchVideo_1)
    (PortIsAudio e_SatReceiver p_CinchStereo_1)
    (PortIsVideo e_SatReceiver p_Scart_1)
    (PortIsAudio e_SatReceiver p_Scart_1)
    (PortIsSignalOut e_SatReceiver p_CinchVideo_1)
    (PortIsSignalOut e_SatReceiver p_CinchStereo_1)
    (PortIsSignalOut e_SatReceiver p_Scart_1)
    (PortIsFemale e_SatReceiver p_CinchStereo_1)
    (PortIsFemale e_SatReceiver p_CinchVideo_1)
    (PortIsFemale e_SatReceiver p_Scart_1)
    (PortIsAudio e_Amplifier p_CinchStereo_3)
    (PortIsAudio e_Amplifier p_CinchStereo_2)
    (PortIsAudio e_Amplifier p_CinchStereo_1)
    (PortIsAudio e_Amplifier p_SPDIFcoaxial_1)
    (PortIsAudio e_Amplifier p_SPDIFoptical_1)
    (PortIsVideo e_Amplifier p_CinchVideo_3)
    (PortIsVideo e_Amplifier p_CinchVideo_2)
    (PortIsVideo e_Amplifier p_CinchVideo_1)
    (PortIsVideo e_Amplifier p_HDMI_3)
    (PortIsAudio e_Amplifier p_HDMI_3)
    (PortIsVideo e_Amplifier p_HDMI_2)
    (PortIsAudio e_Amplifier p_HDMI_2)
    (PortIsVideo e_Amplifier p_HDMI_1)
    (PortIsAudio e_Amplifier p_HDMI_1)
    (PortIsSignalOut e_Amplifier p_CinchStereo_3)
    (PortIsSignalIn e_Amplifier p_CinchStereo_2)
    (PortIsSignalIn e_Amplifier p_CinchStereo_1)
    (PortIsSignalIn e_Amplifier p_SPDIFcoaxial_1)
    (PortIsSignalIn e_Amplifier p_SPDIFoptical_1)
    (PortIsSignalOut e_Amplifier p_CinchVideo_3)
    (PortIsSignalIn e_Amplifier p_CinchVideo_2)
    (PortIsSignalIn e_Amplifier p_CinchVideo_1)
    (PortIsSignalOut e_Amplifier p_HDMI_3)
    (PortIsSignalIn e_Amplifier p_HDMI_2)
    (PortIsSignalIn e_Amplifier p_HDMI_1)
    (PortIsFemale e_Amplifier p_CinchStereo_3)
    (PortIsFemale e_Amplifier p_CinchStereo_2)
    (PortIsFemale e_Amplifier p_CinchStereo_1)
    (PortIsFemale e_Amplifier p_SPDIFcoaxial_1)
    (PortIsFemale e_Amplifier p_SPDIFoptical_1)
    (PortIsFemale e_Amplifier p_CinchVideo_3)
    (PortIsFemale e_Amplifier p_CinchVideo_2)
    (PortIsFemale e_Amplifier p_CinchVideo_1)
    (PortIsFemale e_Amplifier p_HDMI_3)
    (PortIsFemale e_Amplifier p_HDMI_2)
    (PortIsFemale e_Amplifier p_HDMI_1)
    (PortIsVideo a_HDMI_DVI_2 p_DVI_1)
    (PortIsVideo a_HDMI_DVI_2 p_HDMI_1)
    (PortIsSignalOut a_HDMI_DVI_2 p_DVI_1)
    (PortIsSignalIn a_HDMI_DVI_2 p_DVI_1)
    (PortIsSignalOut a_HDMI_DVI_2 p_HDMI_1)
    (PortIsSignalIn a_HDMI_DVI_2 p_HDMI_1)
    (PortIsFemale a_HDMI_DVI_2 p_DVI_1)
    (PortIsMale a_HDMI_DVI_2 p_HDMI_1)
    (PortIsVideo a_HDMI_DVI_1 p_DVI_1)
    (PortIsVideo a_HDMI_DVI_1 p_HDMI_1)
    (PortIsSignalOut a_HDMI_DVI_1 p_DVI_1)
    (PortIsSignalIn a_HDMI_DVI_1 p_DVI_1)
    (PortIsSignalOut a_HDMI_DVI_1 p_HDMI_1)
    (PortIsSignalIn a_HDMI_DVI_1 p_HDMI_1)
    (PortIsFemale a_HDMI_DVI_1 p_DVI_1)
    (PortIsMale a_HDMI_DVI_1 p_HDMI_1)
    (PortIsVideo c_CinchVideo_2 p_CinchVideo_2)
    (PortIsAudio c_CinchVideo_2 p_CinchVideo_2)
    (PortIsVideo c_CinchVideo_2 p_CinchVideo_1)
    (PortIsAudio c_CinchVideo_2 p_CinchVideo_1)
    (PortIsSignalOut c_CinchVideo_2 p_CinchVideo_2)
    (PortIsSignalIn c_CinchVideo_2 p_CinchVideo_2)
    (PortIsSignalOut c_CinchVideo_2 p_CinchVideo_1)
    (PortIsSignalIn c_CinchVideo_2 p_CinchVideo_1)
    (PortIsMale c_CinchVideo_2 p_CinchVideo_2)
    (PortIsMale c_CinchVideo_2 p_CinchVideo_1)
    (PortIsVideo c_CinchVideo_1 p_CinchVideo_2)
    (PortIsAudio c_CinchVideo_1 p_CinchVideo_2)
    (PortIsVideo c_CinchVideo_1 p_CinchVideo_1)
    (PortIsAudio c_CinchVideo_1 p_CinchVideo_1)
    (PortIsSignalOut c_CinchVideo_1 p_CinchVideo_2)
    (PortIsSignalIn c_CinchVideo_1 p_CinchVideo_2)
    (PortIsSignalOut c_CinchVideo_1 p_CinchVideo_1)
    (PortIsSignalIn c_CinchVideo_1 p_CinchVideo_1)
    (PortIsMale c_CinchVideo_1 p_CinchVideo_2)
    (PortIsMale c_CinchVideo_1 p_CinchVideo_1)
    (PortIsVideo c_HDMI_DVI_1 p_DVI_1)
    (PortIsVideo c_HDMI_DVI_1 p_HDMI_1)
    (PortIsSignalOut c_HDMI_DVI_1 p_DVI_1)
    (PortIsSignalIn c_HDMI_DVI_1 p_DVI_1)
    (PortIsSignalOut c_HDMI_DVI_1 p_HDMI_1)
    (PortIsSignalIn c_HDMI_DVI_1 p_HDMI_1)
    (PortIsMale c_HDMI_DVI_1 p_DVI_1)
    (PortIsMale c_HDMI_DVI_1 p_HDMI_1)
    (PortIsVideo c_DVI_1 p_DVI_2)
    (PortIsVideo c_DVI_1 p_DVI_1)
    (PortIsSignalOut c_DVI_1 p_DVI_2)
    (PortIsSignalIn c_DVI_1 p_DVI_2)
    (PortIsSignalOut c_DVI_1 p_DVI_1)
    (PortIsSignalIn c_DVI_1 p_DVI_1)
    (PortIsMale c_DVI_1 p_DVI_2)
    (PortIsMale c_DVI_1 p_DVI_1)
    (PortIsAudio c_CinchStereo_2 p_CinchStereo_2)
    (PortIsAudio c_CinchStereo_2 p_CinchStereo_1)
    (PortIsSignalOut c_CinchStereo_2 p_CinchStereo_2)
    (PortIsSignalIn c_CinchStereo_2 p_CinchStereo_2)
    (PortIsSignalOut c_CinchStereo_2 p_CinchStereo_1)
    (PortIsSignalIn c_CinchStereo_2 p_CinchStereo_1)
    (PortIsMale c_CinchStereo_2 p_CinchStereo_2)
    (PortIsMale c_CinchStereo_2 p_CinchStereo_1)
    (PortIsAudio c_CinchStereo_1 p_CinchStereo_2)
    (PortIsAudio c_CinchStereo_1 p_CinchStereo_1)
    (PortIsSignalOut c_CinchStereo_1 p_CinchStereo_2)
    (PortIsSignalIn c_CinchStereo_1 p_CinchStereo_2)
    (PortIsSignalOut c_CinchStereo_1 p_CinchStereo_1)
    (PortIsSignalIn c_CinchStereo_1 p_CinchStereo_1)
    (PortIsMale c_CinchStereo_1 p_CinchStereo_2)
    (PortIsMale c_CinchStereo_1 p_CinchStereo_1)
    (PortIsAudio c_SPDIFoptical_1 p_SPDIFoptical_2)
    (PortIsAudio c_SPDIFoptical_1 p_SPDIFoptical_1)
    (PortIsSignalOut c_SPDIFoptical_1 p_SPDIFoptical_2)
    (PortIsSignalIn c_SPDIFoptical_1 p_SPDIFoptical_2)
    (PortIsSignalOut c_SPDIFoptical_1 p_SPDIFoptical_1)
    (PortIsSignalIn c_SPDIFoptical_1 p_SPDIFoptical_1)
    (PortIsMale c_SPDIFoptical_1 p_SPDIFoptical_2)
    (PortIsMale c_SPDIFoptical_1 p_SPDIFoptical_1)
    (PortIsAudio c_Headphone_CinchStereo_1 p_CinchStereo_1)
    (PortIsAudio c_Headphone_CinchStereo_1 p_Headphone_1)
    (PortIsSignalOut c_Headphone_CinchStereo_1 p_CinchStereo_1)
    (PortIsSignalIn c_Headphone_CinchStereo_1 p_CinchStereo_1)
    (PortIsSignalOut c_Headphone_CinchStereo_1 p_Headphone_1)
    (PortIsSignalIn c_Headphone_CinchStereo_1 p_Headphone_1)
    (PortIsMale c_Headphone_CinchStereo_1 p_CinchStereo_1)
    (PortIsMale c_Headphone_CinchStereo_1 p_Headphone_1)
    (PortIsAudio c_Scart_CinchVideo_CinchStereo_1 p_CinchStereo_1)
    (PortIsVideo c_Scart_CinchVideo_CinchStereo_1 p_CinchVideo_1)
    (PortIsVideo c_Scart_CinchVideo_CinchStereo_1 p_Scart_1)
    (PortIsAudio c_Scart_CinchVideo_CinchStereo_1 p_Scart_1)
    (PortIsSignalOut c_Scart_CinchVideo_CinchStereo_1 p_CinchStereo_1)
    (PortIsSignalIn c_Scart_CinchVideo_CinchStereo_1 p_CinchStereo_1)
    (PortIsSignalOut c_Scart_CinchVideo_CinchStereo_1 p_CinchVideo_1)
    (PortIsSignalIn c_Scart_CinchVideo_CinchStereo_1 p_CinchVideo_1)
    (PortIsSignalOut c_Scart_CinchVideo_CinchStereo_1 p_Scart_1)
    (PortIsSignalIn c_Scart_CinchVideo_CinchStereo_1 p_Scart_1)
    (PortIsMale c_Scart_CinchVideo_CinchStereo_1 p_CinchStereo_1)
    (PortIsMale c_Scart_CinchVideo_CinchStereo_1 p_CinchVideo_1)
    (PortIsMale c_Scart_CinchVideo_CinchStereo_1 p_Scart_1)
    (PortIsVideo c_HDMI_2 p_HDMI_2)
    (PortIsAudio c_HDMI_2 p_HDMI_2)
    (PortIsVideo c_HDMI_2 p_HDMI_1)
    (PortIsAudio c_HDMI_2 p_HDMI_1)
    (PortIsSignalOut c_HDMI_2 p_HDMI_2)
    (PortIsSignalIn c_HDMI_2 p_HDMI_2)
    (PortIsSignalOut c_HDMI_2 p_HDMI_1)
    (PortIsSignalIn c_HDMI_2 p_HDMI_1)
    (PortIsMale c_HDMI_2 p_HDMI_2)
    (PortIsMale c_HDMI_2 p_HDMI_1)
    (PortIsVideo c_HDMI_1 p_HDMI_2)
    (PortIsAudio c_HDMI_1 p_HDMI_2)
    (PortIsVideo c_HDMI_1 p_HDMI_1)
    (PortIsAudio c_HDMI_1 p_HDMI_1)
    (PortIsSignalOut c_HDMI_1 p_HDMI_2)
    (PortIsSignalIn c_HDMI_1 p_HDMI_2)
    (PortIsSignalOut c_HDMI_1 p_HDMI_1)
    (PortIsSignalIn c_HDMI_1 p_HDMI_1)
    (PortIsMale c_HDMI_1 p_HDMI_2)
    (PortIsMale c_HDMI_1 p_HDMI_1)
    (hasVideoSignal e_SatReceiver e_SatReceiver)
    (hasAudioSignal e_SatReceiver e_SatReceiver)
    (hasVideoSignal e_BlurayPlayer e_BlurayPlayer)
    (hasAudioSignal e_BlurayPlayer e_BlurayPlayer)
  )

  (:goal
    (and
      (hasVideoSignal e_TV e_SatReceiver)
      (hasVideoSignal e_TV e_BlurayPlayer)
      (hasAudioSignal e_Amplifier e_SatReceiver)
      (hasAudioSignal e_Amplifier e_BlurayPlayer)
    )
  )

)
